Subject: bug#33237: 26.1, 7.3 emacs-mac: <fnum> list order in C-h b

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 11 Jul 2019 16:50:22 +0200

Eli Zaretskii <[email-masked]> writes:

> It sounds very strange to use string-version-lessp here, so I think
> this must have a comment explaining why.

Yup.  I mean, it's a function with a strange name, but what it does is
nice (i.e., sort stretches of digits as a number).  In other
environments the function is often called something like "natural sort".

> Btw, did you try string-collate-lessp instead?

Yes, I tried it first, and it didn't do what I thought it would do:

(sort '("1" "2" "11") 'string-collate-lessp)
=> ("1" "11" "2")

Which isn't what we want...

I'll go ahead and apply the patch (with a comment) and we can see how we
like the result.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no